# VecSum

Computes the sum of all the components of a vector.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSum(Vec v,PetscScalar *sum)

Collective on Vec

### Input Parameter

v -the vector

### Output Parameter

sum -the result

### See Also

VecNorm()

Level:beginner
Location: src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages